Subject: Ticket Assigned - Feedback or suggestions
From: Max <[email-masked]>
To: [email-masked]
Date: Thu, 02 Dec 2021 16:48:43 +0000

Hi Ahmed Omer,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Feedback or suggestions Bad Experience with the guy who came to collect returned items. I am really disappointed with the bad behavior of this guy. 

I shopped some items online from Max on November 23rd, 2021. by order number 6369347737, Unfortunately, one of the items in the order was not of my size. I raised a return request. 

Mohammed Tariq, mobile number 0559042986 contacted me to collect the item. I think this guy is mentally sick or overworked or under pressure. 

He came to the building where I live and called me, I asked him to come to my apartment and collect the item, he said not possible and asked me to come down.  I went down and I asked him that he should have come up and collected the item by himself. I don't know why this guy was angry and his tone was not friendly. he further said even if you were Saudi then he would not come to the house to collect the items. I asked his name and told him that I will make his complaint about his behavior. He said to me, do whatever you want to do, and ran away without collecting the item. 

Please take necessary actions against this individual and put some controls in your processes so these kinds of incidents can be avoided in the future which leads to bad customer feedback and ruining the company name. 

Thanks & Best Regards, 
Irfan Elahi Sheikh
+966556900314 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3461412